/v1/admin/identity-providers| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
provider_typestringRequireddisplay_namestringRequiredissuerstringRequireddiscovery_urlstringRequiredclient_idstringRequiredclient_secretobjectclient_secret_refobjectallowed_scopesstring[]Requiredallowed_email_domainsstring[]Requiredrequire_email_verifiedbooleancurl -X POST '/api-proxy/v1/admin/identity-providers' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"provider_type": "google",
"display_name": "string",
"issuer": "string",
"discovery_url": "string",
"client_id": "string",
"client_secret": {},
"client_secret_ref": {},
"allowed_scopes": [
"string"
],
"allowed_email_domains": [
"string"
],
"require_email_verified": false
}'No response body documented
curl -X POST '/api-proxy/v1/admin/identity-providers' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"provider_type": "google",
"display_name": "string",
"issuer": "string",
"discovery_url": "string",
"client_id": "string",
"client_secret": {},
"client_secret_ref": {},
"allowed_scopes": [
"string"
],
"allowed_email_domains": [
"string"
],
"require_email_verified": false
}'No response body documented